> ## Documentation Index
> Fetch the complete documentation index at: https://docs.sqd.dev/llms.txt
> Use this file to discover all available pages before exploring further.

<AgentInstructions>

## Submitting Feedback

If you encounter incorrect, outdated, or confusing documentation on this page, submit feedback:

POST https://docs.sqd.dev/feedback

```json
{
  "path": "/en/cloud/reference/cli/installation",
  "feedback": "Description of the issue"
}
```

Only submit feedback when you have something specific and actionable to report.

</AgentInstructions>

# CLI Installation

> Install the sqd CLI on macOS, Linux, or Windows — npm and standalone install methods for the SQD Cloud command-line tool with shell autocomplete.

Squid CLI is a command line tool for

* scaffolding new squids from templates
* running SDK tools and scripts defined in `commands.json` in a cross-platform way
* managing squid deployments in [SQD Cloud](/en/cloud/overview) (former Aquarium)

The CLI is distributed as a [`npm` package](https://www.npmjs.com/package/@subsquid/cli).

To install Squid CLI, follow the steps below.

## 0. Install and setup Squid CLI

First, install the latest version of Squid CLI as a global `npm` package:

```bash theme={"system"}
npm i -g @subsquid/cli@latest
```

Check the version:

```bash theme={"system"}
sqd --version
```

Make sure the output looks like `@subsquid/cli@<version>`.

<Info>
  The next steps are **optional** for building and running squids. A key is required to enable the CLI commands managing the [SQD Cloud](/en/cloud/overview) deployments.
</Info>

## 1. Obtain a SQD Cloud deployment key

Sign in to [Cloud](https://app.subsquid.io/), and obtain (or refresh) the deployment key page by clicking at the profile picture > "Deployment key":

## 2. Authenticate Squid CLI

Open a terminal window and run

```bash theme={"system"}
sqd auth -k <DEPLOYMENT_KEY>
```

## 3. Explore with `--help`

Use `sqd --help` to get a list of the available command and `sqd <command> --help` to get help on the available options for a specific command, e.g.

```bash theme={"system"}
sqd deploy --help
```
